## astk 1.8.0

=== ASTK_SERV/i18n/Makefile ===
# locale/XX/LC_MESSAGES/asrun.mo : lien vers asrun.XX.mo
sources = $(shell ls ../asrun/*.py)

messages.pot: $(sources)
	(cd . ; pygettext -o $@ ../asrun)
