=== ASTK_SERV/unittest/Makefile ===
SHORT = etude compil catapy jobs meshtool client
LONG = catalo astout param others
LAST = surcharge

ALL   = $(SHORT) $(LONG) $(LAST)

default: diag

short: $(SHORT)
long: $(LONG)
last: $(LAST)

rest: $(SHORT) $(LAST)
all: $(ALL)

.PHONY: diag clean distclean short $(SHORT) long $(LONG) last $(LAST)

diag:
	@echo "--------------------------------"
	@echo "           RESULTS"
	@echo "--------------------------------"
	@for d in $(ALL); do \
		(cd $$d && if [ -f unittest ]; then echo "RESULT `cat unittest` for $$d"; fi); \
	done

clean: Makefile.inc
	@for d in $(ALL); do \
		(cd $$d && $(MAKE) $@); \
	done

distclean: clean
	@rm -f Makefile.inc

Makefile.inc: config.py
ifeq ($(PYTHONEXECUTABLE),)
	@python config.py
else
	@$(PYTHONEXECUTABLE) config.py
endif

$(ALL): Makefile.inc
	@$(MAKE) -C $@

$(LAST): $(SHORT)
