=== ASTK_SERV/unittest/astout/Makefile ===
default: diag

TEST = astout
TODELETE = $(TEST).export $(TEST).list $(TEST).rep_test $(TEST).resu_test $(TEST).flash diag.pick

include ../Makefile.inc

$(TEST).list:
	@echo 'erreu03a'  > $(TEST).tmp
	@echo 'zzzz136a' >> $(TEST).tmp
	@echo 'efica01a' >> $(TEST).tmp
	@echo 'zzzz107a' >> $(TEST).tmp
	@echo 'mumps01a' >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

$(TEST).resu_test:
	@mkdir $@

$(TEST).rep_test:
	@mkdir $@
	@cp -f $(ASTER_ROOT)/$(ASTER_VERSION)/astest/zzzz107a.* $@

unittest: $(TEST).export $(TEST).list $(TEST).rep_test $(TEST).resu_test hostfile
	$(as_run) --only_nook $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > $@
