=== ASTK_SERV/unittest/catalo/Makefile ===
default: diag

TEST = catalo
TODELETE = $(TEST).export $(TEST).cata elements

include ../Makefile.inc

$(TEST).cata: 
	@cp $(ASTER_ROOT)/$(ASTER_VERSION)/catalo/compelem/grandeur_simple__.cata $@

unittest: $(TEST).export $(TEST).cata
	$(as_run) $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > exit_code.tmp
	@if [ `grep -c -E 'DIAGNOSTIC JOB : OK|DIAGNOSTIC JOB :.*ALARM' output.1.$@` -ne 1 ]; then \
	   echo 'DIAG != OK / ALARM'; \
	   echo "EXIT_CODE=304" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@
