=== ASTK_SERV/unittest/client/Makefile ===
default: diag

TEST = client
TODELETE = *.pyoutput *.pyerror astkrc

include ../Makefile.inc

astkrc/config_serveurs:
	@rm -rf astkrc ; mkdir astkrc ; cp config_serveurs.in $@

unittest: | astkrc/config_serveurs client.pyoutput
	@echo "EXIT_CODE=0" > exit_code.tmp
	@if  [ `grep -c EXIT_CODE=0 client.pyoutput`  -ne 1 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@
