=== ASTK_SERV/unittest/compil/Makefile ===
default: diag

TEST = compil
TODELETE = $(TEST).export $(TEST).f aster.exe

include ../Makefile.inc

$(TEST).f: 
	@sed -e "s@      END\$$@      print \*,'MCTEST_EXE_OK'\n      END@g" \
	   $(ASTER_ROOT)/$(ASTER_VERSION)/bibfor/supervis/debut.f > $@

unittest: $(TEST).export $(TEST).f
	$(as_run) $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > $@
