=== ASTK_SERV/unittest/others/Makefile ===
default: diag

TEST = others
TODELETE = *.pyoutput *.pyerror agla.export

include ../Makefile.inc

unittest: agla.pyoutput scroll.pyoutput thread.pyoutput unig.pyoutput deprecate.pyoutput
	@echo "EXIT_CODE=0" > exit_code.tmp
	@if  [ `grep -c EXIT_CODE=0 agla.pyoutput`  -ne 1 ] || \
		[ `grep -c EXIT_CODE=0 scroll.pyoutput`  -ne 1 ] || \
		[ `grep -c EXIT_CODE=0 thread.pyoutput`  -ne 1 ] || \
		[ `grep -c EXIT_CODE=0 unig.pyoutput`    -ne 1 ] || \
		[ `grep -c DeprecationWarning deprecate.pyerror` -ne 8 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@
