=== debian/changelog ===
astk (1.8.0-1) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * First package (Closes: #467085)
  
  [ Christophe Trophime ]
  * Update of the package to a more recent version

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Sun, 25 Apr 2010 16:43:13 +0200
