=== debian/control ===
Source: astk
Section: science
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), po-debconf
Homepage: http://www.code-aster.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/


Package: astk
Architecture: all
Section: science
Depends: tk8.5 | wish, tcl8.5 | tclsh, debconf (>= 1.5.30), ${misc:Depends}
Recommends: astk-server
Suggests: eficas, gmsh, grace, nedit, ddd
Description: Code_Aster build/control system and front-end: Tcl client
 ASTK includes the Python build and control systems and Tcl front end for the
 Code_Aster finite element PDE solver.
 .
 This package contains the ASTK Tcl front-end client.  If you want to run
 astk/aster on the local host, you need to install python-astk-server as well.

Package: astk-server
Architecture: all
Section: python
Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30), ${misc:Depends}
Suggests: emacs, gdb, ddd
Description: Code_Aster build/control system and front-end: Python server
 ASTK includes the Python build and control systems and Tcl front end for the
 Code_Aster finite element PDE solver.
 .
 This package contains the astk server which runs aster.
