=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_PYTHON_MODULE_PACKAGE = asrun
DEB_PYTHON_COMPILE_VERSION := $(shell pyversions -r)
#DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
#	--install-lib=usr/share/python-support/astk
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
	--install-lib=usr/share/python-support --install-layout=deb

export DESTDIR = $(DEB_DESTDIR)

install/astk:: 
	mkdir -p debian/astk/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/astk/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/* debian/astk/usr/bin
	
	mkdir -p debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/*.tcl debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/BWidget-1.7.0 debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/DOC debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/HELP debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/icons debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/locales.txt debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/RELNOTES debian/astk/usr/share/astk
	rm -f debian/astk/usr/share/astk/BWidget-1.7.0/LICENSE.txt

	mkdir -p debian/astk/usr/share/python-support
	mv $(DEB_DESTDIR)/usr/share/python-support debian/astk/usr/share/python-support
	
	mkdir -p debian/astk/etc/codeaster/astkrc
	mv $(DEB_DESTDIR)/usr/etc/codeaster/astkrc/* debian/astk/etc/codeaster/astkrc

	install -d debian/astk/usr/share/applications
	install -m 0644 debian/astk.desktop debian/astk/usr/share/applications

	install -d debian/astk/usr/share/pixmaps
	install -m 0644 debian/astk.xpm debian/astk/usr/share/pixmaps
	
	mkdir -p debian/astk/usr/share/man/man1
	install -m 0644 debian/as_run.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/astk.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/bsf.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/get.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/getop.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/show.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/parallel_cp.1 debian/astk/usr/share/man/man1
	
install/astk-server:: 
	install -d debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV/etc/profile.sh debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV/etc/config_nodename debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/aster debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/profile.csh debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/.mysql_connect_REX debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/asrun debian/astk-server/etc/codeaster
	
	install -d debian/astk-server/usr/share/codeaster/asrun
	mv $(DEB_DESTDIR)/usr/share/codeaster debian/astk-server/usr/share/codeaster

	#mkdir -p debian/astk-server/usr/share/python-support
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/lib/*.py debian/astk-server/usr/share/python-support

	#mkdir -p debian/astk-server/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/bin/as_* debian/astk-server/usr/bin

	install -d debian/astk-server/usr/share/locale
	mv $(DEB_DESTDIR)/usr/share/locale/* debian/astk-server/usr/share/locale

get-orig-source:
	# Retreive aster-full-src-10.1.0-4.noarch.tar.gz
	TMPDIR=`mktemp -d $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig`
	pushd "$$TMPDIR"
	wget http://www.code-aster.org/V2/spip.php?action=dw2_out&id=667
	
	# Go to SRC directory and retreive astk source
	tar xzf aster-full-src-10.1.0-4.noarch.tar.gz
	cd SRC
	mv $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	popd
	rm -rf "$$TMPDIR"
