## astk 1.8.3

=== debian/changelog ===
astk (1.8.3-2) unstable; urgency=low

  * [Debconf translation updates]
    - Japanese (Nobuhiro Iwamatsu).  Closes: #602465
  * debian/control:  add dpkg-dev deps (Closes: #603687)

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Tue, 16 Nov 2010 13:27:14 +0100

astk (1.8.3-1) unstable; urgency=low

  * New upstream version
  * Remove debug -x flag from postinst and post rm scripts
  * debian/rules : 
     correct get-orig-source (update spip id)
     add a symlink to /usr/bin/as_run in $ASTER_ROOT/bin in code-aster-run
     do not install manpage for show (Closes: #581915)   
  * Add directory $ASTER_ROOT/outils
  * Add links to gmsh, grace, eficasQt to $ASTER_ROOT/outils
  * debian/control :
     Add gmsh, grace, eficas to BuildDepends
     Add astk-server to  Replaces/conflicts Closes: #596660
  
  [Andre Espaze]
  * remove onecore.patch
  * update debian-install.patch to latest version

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Thu, 30 Sep 2010 10:43:38 +0200

astk (1.8.1-2) unstable; urgency=low

  * Added source lintian overrides about Adam Powell's name.
  * Add debian-install.patch to fix installation paths 
  * Change ASTER_ROOT to /usr/lib/codeaster 
  * debian/control:
     Rename astk : code-aster-gui
     Rename astk-server : code-aster-run

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 30 Aug 2010 08:38:39 +0200

astk (1.8.1-1) unstable; urgency=low

  * New upstream version
  * Bump Standards-Version: to 3.9.1. (No changes needed.)
  * Added source lintian overrides about Adam Powell's name.
  * Complete postinst configuration

  [Christian Perrier]
  * Non-maintainer upload to  fix pending l10n issues
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #584616

  * [Debconf translation updates]
    - Swedish (Martin Bagge / brother).  Closes: #585112
    - Russian (Yuri Kozlov).  Closes: #585150
    - Simplified Chinese (YunQiang Su).  Closes: #585151
    - Danish (Joe Hansen).  Closes: #585486
    - Czech (Michal Simunek).  Closes: #585630
    - French (Julien Patriarca).  Closes: #586097
    - German (Chris Leick).  Closes: #586282
    - Portuguese (Miguel Figueiredo).  Closes: #586979
    - Spanish (Camaleón).  Closes: #591507

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 16 Aug 2010 15:45:48 +0200

astk (1.8.0-2) unstable; urgency=low

  * debian/rules: do not install show.1.gz (Closes: #581915)
  * debian/rules: do not install /etc/.mysql_connect_REX

  [Christian Perrier]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #584616
  * [Debconf translation updates]
  * Swedish (Martin Bagge / brother).  Closes: #585112
  * Russian (Yuri Kozlov).  Closes: #585150
  * Simplified Chinese (YunQiang Su).  Closes: #585151
  * Danish (Joe Hansen).  Closes: #585486
  * Czech (Michal Simunek).  Closes: #585630
  * French (Julien Patriarca).  Closes: #586097
  * German (Chris Leick).  Closes: #586282
  * Portuguese (Miguel Figueiredo).  Closes: #586979

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Thu, 01 Jul 2010 14:48:52 +0200
