=== debian/control ===
Source: astk
Section: science
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), 
 po-debconf, gmsh, grace, eficas
Homepage: http://www.code-aster.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/


Package: code-aster-gui
Architecture: all
Section: science
Depends: tk8.5 | wish, tcl8.5 | tclsh, debconf (>= 1.5.30), ${misc:Depends},
 dpkg-dev
Recommends: code-aster-run
Replaces: astk, astk-server
Conflicts: astk, astk-server
Suggests: eficas, gmsh, grace, nedit, ddd
Description: Graphical user interface for Code_Aster - client
 Code_Aster is the finite element PDE solver used by the French
 nuclear industry. code-aster-gui provides a Tcl front end to its Python build
 and control systems.
 .
 This package contains the code-aster-gui client, which needs to connect to a
 locally or remotely installed server (in the package "code-aster-run").

Package: code-aster-run
Architecture: all
Section: science
Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30), ${misc:Depends}
Replaces: astk, astk-server
Conflicts: astk, astk-server
Suggests: emacs, gdb, ddd
Description: Graphical user interface for Code_Aster - server
 Code_Aster is the finite element PDE solver used by the French
 nuclear industry. code-aster-run provides a Tcl front end to its Python build
 and control systems.
 .
 This package contains the code-aster-run server, which runs Aster code.
