=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

ASTER_VERSION=10.2.0
ASTER_VERSION_FULL=$(ASTER_VERSION)-2
ASTER_ROOT=/usr/lib/codeaster

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_PYTHON_MODULE_PACKAGE = asrun
DEB_PYTHON_COMPILE_VERSION := $(shell pyversions -r)
#DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
#	--install-lib=usr/share/python-support/astk
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
	--install-lib=usr/share/python-support --install-layout=deb

export DESTDIR = $(DEB_DESTDIR)

install/code-aster-gui:: 
	mkdir -p debian/code-aster-gui/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/code-aster-gui/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/codeaster-gui debian/code-aster-gui/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/astk debian/code-aster-gui/usr/bin
	
	mkdir -p debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/*.tcl debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/BWidget-1.7.0 debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/DOC debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/HELP debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/icons debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/locales.txt debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/RELNOTES debian/code-aster-gui/usr/share/astk
	rm -f debian/code-aster-gui/usr/share/astk/BWidget-1.7.0/LICENSE.txt

	mkdir -p debian/code-aster-gui/usr/share/python-support
	mv $(DEB_DESTDIR)/usr/share/python-support debian/code-aster-gui/usr/share/python-support
	
	mkdir -p debian/code-aster-gui/etc/codeaster/astkrc
	mv $(DEB_DESTDIR)/etc/codeaster/astkrc/* debian/code-aster-gui/etc/codeaster/astkrc

	install -d debian/code-aster-gui/usr/share/applications
	install -m 0644 debian/code-aster-gui.desktop debian/code-aster-gui/usr/share/applications

	install -d debian/code-aster-gui/usr/share/pixmaps
	install -m 0644 debian/astk.xpm debian/code-aster-gui/usr/share/pixmaps
	
	mkdir -p debian/code-aster-gui/usr/share/man/man1
	install -m 0644 debian/astk.1 debian/code-aster-gui/usr/share/man/man1
	install -m 0644 debian/codeaster-gui.1 debian/code-aster-gui/usr/share/man/man1
	install -m 0644 debian/bsf.1 debian/code-aster-gui/usr/share/man/man1 
	
	# Add links in $ASTER_ROOT/outils
	mkdir -p mkdir -p debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/eficasQt debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/gmsh debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/xmgrace debian/code-aster-gui/$(ASTER_ROOT)/outils
	
install/code-aster-run:: 
	mkdir -p debian/code-aster-run/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/codeaster debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/as_run debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/get* debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/show debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/parallel_cp debian/code-aster-run/usr/bin

	install -d debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/profile.sh debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/config_nodename debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/aster debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/profile.csh debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/asrun debian/code-aster-run/etc/codeaster
	
	# Add version to /etc/codeaster/aster
	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.2|" debian/code-aster-run/etc/codeaster/aster
	
	install -d debian/code-aster-run/$(ASTER_ROOT)/asrun
	mv $(DEB_DESTDIR)/$(ASTER_ROOT)/* debian/code-aster-run/$(ASTER_ROOT)

	#mkdir -p debian/code-aster-run/usr/share/python-support
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/lib/*.py debian/code-aster-run/usr/share/python-support

	#mkdir -p debian/code-aster-run/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/bin/as_* debian/code-aster-run/usr/binls

	mkdir -p debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/as_run.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/codeaster.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/get.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/getop.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/parallel_cp.1 debian/code-aster-run/usr/share/man/man1

	install -d debian/code-aster-run/usr/share/locale
	mv $(DEB_DESTDIR)/usr/share/locale/* debian/code-aster-run/usr/share/locale
	
	mkdir -p debian/code-aster-run/usr/lib/codeaster/bin
	ln -sf /usr/bin/as_run debian/code-aster-run/usr/lib/codeaster/bin/as_run

get-orig-source:
	# Retreive aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	mkdir -p tmp
	cd tmp && wget "http://www.code-aster.org/V2/spip.php?action=dw2_out&id=828"
	cd tmp && mv "spip.php?action=dw2_out&id=828" aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	
	# Go to SRC directory and retreive astk source
	cd tmp && tar xzf aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	cd tmp/aster-full-src-$(ASTER_VERSION)/SRC && mv $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm -rf tmp
