## astk 1.8.4

=== debian/changelog ===
astk (1.8.4-5) unstable; urgency=low

  [Andrea Palazzi]
  * debian/patches/config.patch
      fix wrong /etc/codeaster/asrun for OpenMPI
  * add /etc/codeaster/aster-mpihosts 
      needed for building code-aster
  
  * Rename get, getop and parralel_cp (Closes: #626353)
  * debian/control: update maintainers emails

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 06 Dec 2011 11:30:02 +0200

astk (1.8.4-4) unstable; urgency=low

  * move mpirun_template to usr/lib/codeaster/asrun/data (closes: #627540)
  * fix lintian errors and warnings
  * add codeaster-run.lintian-overrides

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 20 Jun 2011 17:56:34 +0200

astk (1.8.4-3) unstable; urgency=low

  * Standards-Version updated to version 3.9.2

  [ Christophe Trophime ]
  * debian/rules: add mpirun_template to code-aster-run (Closes: #627540)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jun 2011 20:28:03 +0200

astk (1.8.4-2) unstable; urgency=low

  * debian/rules: correct get-orig-source target

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Fri, 14 Jan 2011 10:35:43 +0100

astk (1.8.4-1) unstable; urgency=low

  [Martin Bagge / brother]
  * Debconf translation updates Swedish

  [Andre Espaze]
  * New upstream version
  * debian/rules: moving asrun Python package to code-aster-run

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Tue, 11 Jan 2011 15:43:53 +0100
