=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
-Standards-Version: 3.9.1
+Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), 
  po-debconf, gmsh, grace, eficas
 Homepage: http://www.code-aster.org/
