=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
-ASTER_VERSION=10.2.0
-ASTER_VERSION_FULL=$(ASTER_VERSION)-2
+ASTER_VERSION=10.3.0
+ASTER_VERSION_FULL=$(ASTER_VERSION)-3
 ASTER_ROOT=/usr/lib/codeaster
 
 DEB_PYTHON_SYSTEM=pysupport
@@ -36,9 +36,6 @@
 	mv $(DEB_DESTDIR)/usr/lib/astk/RELNOTES debian/code-aster-gui/usr/share/astk
 	rm -f debian/code-aster-gui/usr/share/astk/BWidget-1.7.0/LICENSE.txt
 
-	mkdir -p debian/code-aster-gui/usr/share/python-support
-	mv $(DEB_DESTDIR)/usr/share/python-support debian/code-aster-gui/usr/share/python-support
-	
 	mkdir -p debian/code-aster-gui/etc/codeaster/astkrc
 	mv $(DEB_DESTDIR)/etc/codeaster/astkrc/* debian/code-aster-gui/etc/codeaster/astkrc
 
@@ -64,9 +61,10 @@
 	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/code-aster-run/usr/bin
 	mv $(DEB_DESTDIR)/usr/bin/codeaster debian/code-aster-run/usr/bin
 	mv $(DEB_DESTDIR)/usr/bin/as_run debian/code-aster-run/usr/bin
-	mv $(DEB_DESTDIR)/usr/bin/get* debian/code-aster-run/usr/bin
-	mv $(DEB_DESTDIR)/usr/bin/show debian/code-aster-run/usr/bin
-	mv $(DEB_DESTDIR)/usr/bin/parallel_cp debian/code-aster-run/usr/bin
+	mv $(DEB_DESTDIR)/usr/bin/get debian/code-aster-run/usr/bin/codeaster-get
+	mv $(DEB_DESTDIR)/usr/bin/getop debian/code-aster-run/usr/bin/codeaster-getop
+	#mv $(DEB_DESTDIR)/usr/bin/show debian/code-aster-run/usr/bin
+	mv $(DEB_DESTDIR)/usr/bin/parallel_cp debian/code-aster-run/usr/bin/codeaster-parallel_cp
 
 	install -d debian/code-aster-run/etc/codeaster
 	install -m 0644 ASTK_SERV/etc/profile.sh debian/code-aster-run/etc/codeaster
@@ -74,12 +72,20 @@
 	install -m 0644 ASTK_SERV/etc/aster debian/code-aster-run/etc/codeaster
 	install -m 0644 ASTK_SERV/etc/profile.csh debian/code-aster-run/etc/codeaster
 	install -m 0644 ASTK_SERV/etc/asrun debian/code-aster-run/etc/codeaster
+	install -m 0644 debian/aster-mpihosts debian/code-aster-run/etc/codeaster
 	
 	# Add version to /etc/codeaster/aster
-	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.2|" debian/code-aster-run/etc/codeaster/aster
+	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.3|" debian/code-aster-run/etc/codeaster/aster
 	
 	install -d debian/code-aster-run/$(ASTER_ROOT)/asrun
 	mv $(DEB_DESTDIR)/$(ASTER_ROOT)/* debian/code-aster-run/$(ASTER_ROOT)
+
+	mkdir -p debian/code-aster-run/usr/lib/codeaster/asrun/data
+	install ASTK_SERV/share/codeaster/asrun/data/mpirun_template debian/code-aster-run/usr/lib/codeaster/asrun/data
+	
+
+	mkdir -p debian/code-aster-run/usr/share/python-support
+	mv $(DEB_DESTDIR)/usr/share/python-support debian/code-aster-run/usr/share/python-support
 
 	#mkdir -p debian/code-aster-run/usr/share/python-support
 	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/lib/*.py debian/code-aster-run/usr/share/python-support
@@ -90,9 +96,9 @@
 	mkdir -p debian/code-aster-run/usr/share/man/man1
 	install -m 0644 debian/as_run.1 debian/code-aster-run/usr/share/man/man1
 	install -m 0644 debian/codeaster.1 debian/code-aster-run/usr/share/man/man1
-	install -m 0644 debian/get.1 debian/code-aster-run/usr/share/man/man1
-	install -m 0644 debian/getop.1 debian/code-aster-run/usr/share/man/man1
-	install -m 0644 debian/parallel_cp.1 debian/code-aster-run/usr/share/man/man1
+	install -m 0644 debian/codeaster-get.1 debian/code-aster-run/usr/share/man/man1
+	install -m 0644 debian/codeaster-getop.1 debian/code-aster-run/usr/share/man/man1
+	install -m 0644 debian/codeaster-parallel_cp.1 debian/code-aster-run/usr/share/man/man1
 
 	install -d debian/code-aster-run/usr/share/locale
 	mv $(DEB_DESTDIR)/usr/share/locale/* debian/code-aster-run/usr/share/locale
@@ -100,11 +106,14 @@
 	mkdir -p debian/code-aster-run/usr/lib/codeaster/bin
 	ln -sf /usr/bin/as_run debian/code-aster-run/usr/lib/codeaster/bin/as_run
 
+        # override lintian error
+	mkdir -p debian/code-aster-run/usr/share/lintian/overrides
+	cp debian/code-aster-run.lintian-overrides debian/code-aster-run/usr/share/lintian/overrides
 get-orig-source:
 	# Retreive aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
 	mkdir -p tmp
-	cd tmp && wget "http://www.code-aster.org/V2/spip.php?action=dw2_out&id=828"
-	cd tmp && mv "spip.php?action=dw2_out&id=828" aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
+	cd tmp && wget "http://www.code-aster.org/V2/spip.php?action=dw2_out&id=885"
+	cd tmp && mv "spip.php?action=dw2_out&id=885" aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
 	
 	# Go to SRC directory and retreive astk source
 	cd tmp && tar xzf aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
