## astk 1.10.4

=== debian/changelog ===
astk (1.10.4-3) unstable; urgency=low

  * debian/rules:
      - switch to dh_python2
      - use debhelper instead of cdbs
  * debian/control: remove quilt
  * debian/code-aster-gui.install
  	- remove codeaster-gui installed with dh_link
  
  [Julien Cristau] 
  * Fix postinst and postrm scripts (Closes: #670293)
  * Add code-aster-run.templates
  * Add code-aster-run.config
  * Install configfiles in usr/share/codeaster

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 26 Jun 2012 16:01:42 +0200

astk (1.10.4-2) unstable; urgency=low

  [Beatrice Torracca]
  * Add Italian translation of astk debconf messages (Closes: #677646)

  * Fix postinst and postrm scripts (Closes: #670293)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sun, 17 Jun 2012 10:17:59 +0200

astk (1.10.4-1) unstable; urgency=low

  * New  upstream release
  * debian/rules: simply install targets
      - add debian/codeaster-run.install
      - add debian/codeaster-gui.install
  * debian/control: add tkpg to Depends
  * Add tcl_fixpath.patch to fix as_run path in tcl scripts
  * Add README.Debian

  [ Andrea Palazzi ]
  * Fixed get-orig-source target in debian/rules
  * Fix "code-aster-mpi-engine: symbolic link needed for parallel_cp"
    Added quilt patch to call codeaster-parallel_cp instead
    of the original parallel_cp (Closes: #669931)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Mon, 23 Apr 2012 10:08:56 +0200
