=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), 
- po-debconf, gmsh, grace, eficas
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf, 
+  gmsh, grace, eficas
+X-Python-Version: all
 Homepage: http://www.code-aster.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/
@@ -14,7 +15,7 @@
 Package: code-aster-gui
 Architecture: all
 Section: science
-Depends: tk8.5 | wish, tcl8.5 | tclsh, debconf (>= 1.5.30), ${misc:Depends},
+Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends},
  dpkg-dev
 Recommends: code-aster-run
 Replaces: astk, astk-server
