## astk 1.11.0

=== debian/changelog ===
astk (1.11.0-2) unstable; urgency=low

  * Added script update-codeaster-engines to create the aster
    config file
  * Now the file /etc/codeaster/aster is installed in a minimal
    version by code-aster-run.postinst (Closes: #670567)
  * Fixed some errors introduced previously in patch config.patch
    when it was updated for astk 1.11.0

 -- Andrea Palazzi <palazziandrea@yahoo.it>  Sat, 26 Feb 2013 09:35:32 +0100

astk (1.11.0-1) unstable; urgency=low

  * Updated to version 1.11.0
  * Removed unnecessary build-deps on gmsh, garce and eficas

  [ Christophe Trophime ]
  * code-aster-run :
        Depends on code-aster-gui (closes: #681750)

 -- Andrea Palazzi <palazziandrea@yahoo.it>  Mon, 31 Dec 2012 14:31:43 +0100

astk (1.10.4-4) unstable; urgency=low

  * debian/control:
      - Remove dpkg-dev, gcc from code-aster-gui Depends
  * fix code-aster-gui.config (closes: #679589)
  * postrm files remove unowned files (closes: #679689)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sat, 30 Jun 2012 14:44:09 +0200
