=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
+Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>, Andrea Palazzi <palazziandrea@yahoo.it>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf, 
-  gmsh, grace, eficas
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf
 X-Python-Version: all
 Homepage: http://www.code-aster.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
@@ -15,8 +14,7 @@
 Package: code-aster-gui
 Architecture: all
 Section: science
-Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends},
- dpkg-dev
+Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends}
 Recommends: code-aster-run
 Replaces: astk, astk-server
 Conflicts: astk, astk-server
@@ -32,7 +30,8 @@
 Package: code-aster-run
 Architecture: all
 Section: science
-Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30), ${misc:Depends}
+Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30),
+ ${misc:Depends}, code-aster-gui
 Replaces: astk, astk-server
 Conflicts: astk, astk-server
 Suggests: emacs, gdb, ddd
