=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,19 @@
 #!/usr/bin/make -f
 # Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
-ASTER_VERSION=11.1.0
-ASTER_VERSION_FULL=$(ASTER_VERSION)-3
+ASTER_VERSION=11.3.0
+ASTER_VERSION_FULL=$(ASTER_VERSION)-2
 ASTER_ROOT=/usr/lib/codeaster
+
+DEB_SOURCE_PACKAGE := astk
+DEB_UPSTREAM_VERSION := 1.11.0
 
 BUILDDIR = $(CURDIR)/debian/build
 DEB_DESTDIR = $(CURDIR)/debian/tmp
+
+DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS | tr '[:lower:]' '[:upper:]')
+DEB_HOST_ARCH_BITS=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+
 
 %:
 	dh $@  --builddirectory=$(BUILDDIR) --with python2
@@ -31,12 +38,21 @@
 	ln -sf /usr/bin/xmgrace debian/code-aster-gui/$(ASTER_ROOT)/outils
 
 #install/code-aster-run:: 
+# install update-codeaster-engine script
+	mkdir -p $(DEB_DESTDIR)/usr/sbin
+	cp debian/update-codeaster-engines $(DEB_DESTDIR)/usr/sbin
+	chmod 755 $(DEB_DESTDIR)/usr/sbin/update-codeaster-engines
 
-	# Add version to ASTK_SERV/etc/aster(/etc/codeaster/aster)
-	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.6|" ASTK_SERV/etc/aster
-
+	# Fix platform in ASTK_SERV/etc/asrun (/etc/codeaster/asrun)
+	if [ "${DEB_HOST_ARCH_BITS}" = "64" ]; then \
+	   perl -pi -e "s|\?IFDEF\?|$(DEB_HOST_ARCH_OS)$(DEB_HOST_ARCH_BITS)|" ASTK_SERV/etc/asrun; \
+	else \
+	   perl -pi -e "s|\?IFDEF\?|$(DEB_HOST_ARCH_OS)|" ASTK_SERV/etc/asrun; \
+	fi
+	
 	#fix lintian error
 	#chmod  ugo-x $(DEB_DESTDIR)debian/code-aster-run/$(ASTER_ROOT)/asrun/unittest/run_test.py
+
 
 # how to remove duplicate .py in $(ASTER_ROOT)/asrun/unittest??
