## astk 1.13.1

=== ASTK_SERV/i18n/Makefile ===
# locale/XX/LC_MESSAGES/asrun.mo : lien vers asrun.XX.mo
sources = $(shell find ../asrun -name '*.py')

messages.pot: $(sources)
	(cd . ; pygettext -o $@ ../asrun)
