=== debian/changelog ===
astk (1.13.1-2) unstable; urgency=low

  [ Denis Laxalde ]
  * Team upload.
  * Call wish8.5 instead of wish and depends on tk8.5 only (closes: #725685).

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 May 2014 10:09:40 +0200

astk (1.13.1-1) unstable; urgency=low

  [ Andrea Palazzi ]
  * Updated to upstream version 1.13.1 (Code Aster 11.4)
  * Removed duplicate Section: parts from control file
  * fixed code-aster-run.postrm script to remove /etc/codeaster/aster
    file (closes: #704542)
  * fixed possible bug in code-aster-run.postinst script not creating
    the /etc/codeaster directory

  [ Sylvestre Ledru ]
  * Standards-Version updated to 3.9.4

 -- Andrea Palazzi <palazziandrea@yahoo.it>  Fri, 12 Jul 2013 11:09:47 +0200
