=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>, Andrea Palazzi <palazziandrea@yahoo.it>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf
 X-Python-Version: all
 Homepage: http://www.code-aster.org/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/astk
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/astk.git
 
 
 Package: code-aster-gui
 Architecture: all
-Section: science
-Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends}
+Depends: tk8.5, tcl8.5, tkpng, debconf (>= 1.5.30), ${misc:Depends}
 Recommends: code-aster-run
 Replaces: astk, astk-server
 Conflicts: astk, astk-server
@@ -29,7 +28,6 @@
 
 Package: code-aster-run
 Architecture: all
-Section: science
 Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30),
  ${misc:Depends}, code-aster-gui
 Replaces: astk, astk-server
