=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 # Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
-ASTER_VERSION=11.3.0
-ASTER_VERSION_FULL=$(ASTER_VERSION)-2
+ASTER_VERSION=11.4.0
+ASTER_VERSION_FULL=$(ASTER_VERSION)-1
 ASTER_ROOT=/usr/lib/codeaster
 
 DEB_SOURCE_PACKAGE := astk
-DEB_UPSTREAM_VERSION := 1.11.0
+DEB_UPSTREAM_VERSION := 1.13.1
 
 BUILDDIR = $(CURDIR)/debian/build
 DEB_DESTDIR = $(CURDIR)/debian/tmp
